> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Connections

> List app connections



## OpenAPI

````yaml GET /v1/app-connections
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/app-connections:
    get:
      tags:
        - app-connections
      description: List app connections
      parameters:
        - schema:
            type: string
          in: query
          name: cursor
          required: false
        - schema:
            type: string
          in: query
          name: projectId
          required: true
        - schema:
            type: string
            enum:
              - PROJECT
              - PLATFORM
          in: query
          name: scope
          required: false
        - schema:
            type: string
          in: query
          name: pieceName
          required: false
        - schema:
            type: string
          in: query
          name: displayName
          required: false
        - schema:
            type: array
            items:
              type: string
              enum:
                - ACTIVE
                - MISSING
                - ERROR
          in: query
          name: status
          required: true
        - schema:
            type: number
          in: query
          name: limit
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/app-connection'
                  next:
                    anyOf:
                      - type: string
                      - type: 'null'
                  previous:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - data
                additionalProperties: false
      security:
        - apiKey: []
components:
  schemas:
    app-connection:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/app-connection'
      type: object
      properties:
        id:
          type: string
        created:
          type: string
        updated:
          type: string
        externalId:
          type: string
        displayName:
          type: string
        type:
          type: string
          enum:
            - OAUTH2
            - PLATFORM_OAUTH2
            - CLOUD_OAUTH2
            - SECRET_TEXT
            - BASIC_AUTH
            - CUSTOM_AUTH
            - NO_AUTH
        pieceName:
          type: string
        projectIds:
          type: array
          items:
            type: string
            pattern: ^[0-9a-zA-Z]{21}$
        platformId:
          anyOf:
            - type: string
            - type: 'null'
        scope:
          type: string
          enum:
            - PROJECT
            - PLATFORM
        status:
          type: string
          enum:
            - ACTIVE
            - MISSING
            - ERROR
        ownerId:
          anyOf:
            - type: string
            - type: 'null'
        owner:
          anyOf:
            - $ref: '#/components/schemas/user'
            - type: 'null'
        metadata:
          anyOf:
            - type: object
              propertyNames:
                type: string
              additionalProperties: {}
            - type: 'null'
        flowIds:
          anyOf:
            - type: array
              items:
                type: string
                pattern: ^[0-9a-zA-Z]{21}$
            - type: 'null'
        pieceVersion:
          type: string
        preSelectForNewProjects:
          type: boolean
        usingSecretManager:
          type: boolean
      required:
        - id
        - created
        - updated
        - externalId
        - displayName
        - type
        - pieceName
        - projectIds
        - scope
        - status
        - pieceVersion
        - preSelectForNewProjects
        - usingSecretManager
      additionalProperties: false
    user:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/user'
      type: object
      properties:
        id:
          type: string
        email:
          type: string
        firstName:
          type: string
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
        externalId:
          anyOf:
            - type: string
            - type: 'null'
        platformId:
          anyOf:
            - type: string
            - type: 'null'
        platformRole:
          type: string
          enum:
            - ADMIN
            - MEMBER
            - OPERATOR
        lastName:
          type: string
        created:
          type: string
        updated:
          type: string
        lastActiveDate:
          anyOf:
            - type: string
            - type: 'null'
        imageUrl:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - email
        - firstName
        - status
        - platformRole
        - lastName
        - created
        - updated
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````